Retrieve Span
GEThttps://api.confident-ai.com/v1/spans/{spanUuid}
Retrieves a single, detailed span by its unique identifier.
curl -X GET "https://api.confident-ai.com/v1/spans/{spanUuid}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "SPAN-ID",
"uuid": "SPAN-UUID",
"name": "Span Name",
"startTime": "2025-01-15T10:30:00Z",
"endTime": "2025-01-15T10:30:05Z",
"traceUuid": "TRACE-UUID",
"status": "SUCCESS",
"type": "LLM",
"provider": "OpenAI",
"integration": "LangChain",
"model": "gpt-4o",
"promptAlias": "Prompt Alias"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
spanUuidstringRequiredThis is the span UUID you wish to retrieve.
Response
Successfully retrieved the detailed span.
successbooleanThis is true if the span was successfully retrieved.
dataobject | object | object | object | objectThe payload containing the detailed span data.
Show 5 variantsHide 5 variants
LLM SpanobjectShow 28 propertiesHide 28 properties
uuidstringThis is the unique identifier of the span.
namestringThis is the name of the span.
inputstringThis is the input to the span.
outputstringThis is the output of the span.
errorstringThis is the error message, if an error occurred inside the span.
statusenumThis represents the error status of the span.
Show 2 enum valuesHide 2 enum values
SUCCESSERRORED
startTimestringThis is the time the span started.
endTimestringThis is the time the span ended.
parentUuidstringThis is the unique identifier of the span's parent span.
metadataobjectThis is any additional metadata associated with the span.
metricCollectionstringThis is the metric collection to be used for evaluating the span.
typestringThis is a string that represents the type of span.
retrievalContextlist of stringsThis is the retrieval context of your span, which is to be used for evaluation.
contextlist of stringsThis is the ideal retrieval context of your span, which is to be used for evaluation.
expectedOutputstringThis is the expected output of your span, which is the ideal actual output and to be used for evaluation.
toolsCalledlist of objectsThis is the tools called by your span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
modelstringThis is the LLM model used in the span.
providerstringThis is the provider of the generation model used in the span.
integrationstringThis is the integration associated with the span.
promptAliasstringThis is the alias of your prompt which is stored on Confident AI.
promptCommitHashstringThis is the hash of the current prompt being logged in the llm span.
promptLabelstringThis is the label assigned to a specific version of prompt on the Confident AI platform.
promptVersionstringThis is the version assigned to your prompt on Confident AI.
costPerInputTokennumberThis is the cost per input token of the LLM model.
costPerOutputTokennumberThis is the cost per output token of the LLM model.
inputTokenCountintegerThis is the number of input tokens passed to the LLM model.
outputTokenCountintegerThis is the number of output tokens generated by the LLM model.
- OR
Retriever SpanobjectShow 21 propertiesHide 21 properties
uuidstringThis is the unique identifier of the span.
namestringThis is the name of the span.
inputstringThis is the input to the span.
outputstringThis is the output of the span.
errorstringThis is the error message, if an error occurred inside the span.
statusenumThis represents the error status of the span.
Show 2 enum valuesHide 2 enum values
SUCCESSERRORED
startTimestringThis is the time the span started.
endTimestringThis is the time the span ended.
parentUuidstringThis is the unique identifier of the span's parent span.
metadataobjectThis is any additional metadata associated with the span.
metricCollectionstringThis is the metric collection to be used for evaluating the span.
typestringThis is a string that represents the type of span.
retrievalContextlist of stringsThis is the retrieval context of your span, which is to be used for evaluation.
contextlist of stringsThis is the ideal retrieval context of your span, which is to be used for evaluation.
expectedOutputstringThis is the expected output of your span, which is the ideal actual output and to be used for evaluation.
integrationstringThis is the integration associated with the span.
toolsCalledlist of objectsThis is the tools called by your span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
embedderstringThis is the embedder model used in the span.
topKintegerThis is the top K chunks retrieved from your knowledge base.
chunkSizeintegerThis is the chunk size of each retrieved context.
- OR
Tool SpanobjectShow 19 propertiesHide 19 properties
uuidstringThis is the unique identifier of the span.
namestringThis is the name of the span.
inputstringThis is the input to the span.
outputstringThis is the output of the span.
errorstringThis is the error message, if an error occurred inside the span.
integrationstringThis is the integration associated with the span.
statusenumThis represents the error status of the span.
Show 2 enum valuesHide 2 enum values
SUCCESSERRORED
startTimestringThis is the time the span started.
endTimestringThis is the time the span ended.
parentUuidstringThis is the unique identifier of the span's parent span.
metadataobjectThis is any additional metadata associated with the span.
metricCollectionstringThis is the metric collection to be used for evaluating the span.
typestringThis is a string that represents the type of span.
retrievalContextlist of stringsThis is the retrieval context of your span, which is to be used for evaluation.
contextlist of stringsThis is the ideal retrieval context of your span, which is to be used for evaluation.
expectedOutputstringThis is the expected output of your span, which is the ideal actual output and to be used for evaluation.
toolsCalledlist of objectsThis is the tools called by your span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
descriptionstringThis is the description of the tool used in the span.
- OR
Agent SpanobjectShow 20 propertiesHide 20 properties
uuidstringThis is the unique identifier of the span.
namestringThis is the name of the span.
inputstringThis is the input to the span.
outputstringThis is the output of the span.
integrationstringThis is the integration associated with the span.
errorstringThis is the error message, if an error occurred inside the span.
statusenumThis represents the error status of the span.
Show 2 enum valuesHide 2 enum values
SUCCESSERRORED
startTimestringThis is the time the span started.
endTimestringThis is the time the span ended.
parentUuidstringThis is the unique identifier of the span's parent span.
metadataobjectThis is any additional metadata associated with the span.
metricCollectionstringThis is the metric collection to be used for evaluating the span.
typestringThis is a string that represents the type of span.
retrievalContextlist of stringsThis is the retrieval context of your span, which is to be used for evaluation.
contextlist of stringsThis is the ideal retrieval context of your span, which is to be used for evaluation.
expectedOutputstringThis is the expected output of your span, which is the ideal actual output and to be used for evaluation.
toolsCalledlist of objectsThis is the tools called by your span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
availableToolslist of stringsThis is the list of names of available tools to be used in the span.
agentHandoffslist of stringsThis is the list of potential agent handoffs in the span.
- OR
Base SpanobjectShow 18 propertiesHide 18 properties
uuidstringThis is the unique identifier of the span.
namestringThis is the name of the span.
inputstringThis is the input to the span.
outputstringThis is the output of the span.
errorstringThis is the error message, if an error occurred inside the span.
statusenumThis represents the error status of the span.
Show 2 enum valuesHide 2 enum values
SUCCESSERRORED
startTimestringThis is the time the span started.
endTimestringThis is the time the span ended.
parentUuidstringThis is the unique identifier of the span's parent span.
metadataobjectThis is any additional metadata associated with the span.
metricCollectionstringThis is the metric collection to be used for evaluating the span.
typestringThis is a string that represents the type of span.
retrievalContextlist of stringsThis is the retrieval context of your span, which is to be used for evaluation.
contextlist of stringsThis is the ideal retrieval context of your span, which is to be used for evaluation.
expectedOutputstringThis is the expected output of your span, which is the ideal actual output and to be used for evaluation.
toolsCalledlist of objectsThis is the tools called by your span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the span, which is to be used for evaluation.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
integrationstringThis is the integration associated with the span.
deprecatedbooleanThis is true if this endpoint is deprecated.